import { FC, KeyboardEvent } from 'react';
import { InputProps } from "../input";
export declare type ValidationQueryType = {
    value: string | number;
    errorMessage?: string;
};
export declare type ValidationTypeProps = {
    value: 'emptyString' | 'email' | 'number';
    errorMessage?: string;
    lessThen?: ValidationQueryType;
    moreThen?: ValidationQueryType;
    equal?: ValidationQueryType;
};
export interface ValidatedInputProps extends InputProps {
    toggleValidationListener?: any;
    errorText?: boolean;
    onError?: (invalid: boolean) => void;
    validationQuery?: {
        minLength?: ValidationQueryType;
        maxLength?: ValidationQueryType;
        type?: ValidationTypeProps;
    };
    rootValidatedInputClass?: string;
    onKeyDown?: (e: KeyboardEvent) => void;
    onBlur?: (e: any) => void;
    errorDelay?: boolean;
    errorDelayTime?: number;
    value: string;
    autoFocus?: boolean;
    maxLength?: number | string;
}
export declare const ValidatedInput: FC<ValidatedInputProps>;
