export interface PageConfigFileInterface {
    path: string;

    progress?: {
        "progress-percent": string;
        label: string
    }

    typographies?: Array<{
        variant: string;
        text: string;
        style?: { [key: string]: null | string | number }
    }>


    thumbnails?: {
        img: {
            path: string,
            type: string,
            style?: { [key: string]: null | string | number }
        }
    },

    button?: {
        base?: ButtonBase;

        colored_button?: ColoredButtonBase;

        select?: Array<ButtonBase>;

        multi_select?: Array<ButtonMultiSelect>;

        order?: Array<PossibleButtonTypes>;
    }

    formGroup?: any;

    order?: Array<PossibleBlockTypes>
}


export type PossibleButtonTypes = 'base' | 'colored_button' | 'select' | 'multi_select'

export type PossibleBlockTypes = 'typographies' | 'button' | 'thumbnails' | 'formGroup'

export type ButtonMultiSelect = {
    label: string,
    type?: 'clear_button' | null
    width?: string | number
}


export type ButtonBase = {
    label: string,
    destinationPath?: string,
    width?: string | number,
    value?: string,
    event?: string
}

export type ColoredButtonBase = ButtonBase & {type?: string}