// node modules
import React from "react";
import { Meta, Story } from "@storybook/react";

// local components
import { PriceBlock, PriceBlockProps } from "../components/price_block";
import { PriceBlockHint, PriceBlockHintProps } from "../components/price_block_hint";

export default {
    title: 'Example/PriceBlocks',
} as Meta;

const PriceBlockTpl: Story<PriceBlockProps> = (args) => <PriceBlock {...args} />;

export const price_block = PriceBlockTpl.bind({});

price_block.args = {
    btnLabel: 'Start trial',
    active: true,
    price: '39.90',
    priceText: '',
    term: 'mo',
    savingPrice: 0,
    trialTitle: '3-day trial',
    trialIcon: true
}

const PriceBlockHintTpl: Story<PriceBlockHintProps> = (args) => <PriceBlockHint {...args} />;

export const price_block_hint = PriceBlockHintTpl.bind({});

price_block_hint.args = {
    btnLabel: 'Start trial',
    active: true,
    price: '39.90',
    priceText: '',
    term: 'mo',
    savingPrice: 0,
    trialTitle: '3-day trial',
    trialIcon: true
}
