// node modules
import React from "react";
import { Meta, Story } from "@storybook/react";

// local components
import { SliderPage, SliderPageProps } from "../components/slider_page";
import closeIcon from '../assets/close_icon.svg';

export default {
    title: 'Example/Slider Page',
} as Meta;

const SliderPageTpl: Story<SliderPageProps> = (args) => <SliderPage {...args} />;

export const slider_page = SliderPageTpl.bind({});

slider_page.args = {
    textColor: '#ffffff',
    background: 'red',
    elements: [
        {
            value: 'First text',
            delay: 3000
        },
        {
            value: 'Second text',
            delay: 3000,
            color: 'green'
        },
        {
            value: 'Third text',
            delay: 3000,
        },
        {
            image: true,
            value: <div><img src={closeIcon} alt=""/><p>closeIcon</p></div> as JSX.Element,
            delay: 3000,
        }
    ]

}
